Name:           perl-Class-Std
Version:        0.013
Release:    1%{?dist}
Summary:        Support for creating standard "inside-out" classes
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-Std
Source0:        https://cpan.metacpan.org/modules/by-module/Class/Class-Std-%{version}.tar.gz
Patch0:         Class-Std-0.013-POD-encoding.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
Requires:       perl(Data::Dumper)

%description
This module provides tools that help to implement the "inside out object"
class structure in a convenient and standard way.

%prep
%setup -q -n Class-Std-%{version}
%patch0 -p1

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/Class/
%{_mandir}/man3/Class::Std.3pm*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.013-1
- initial build
